Bug 851848 - Review Request: mingw-harfbuzz - MinGW Windows Harfbuzz library
Review Request: mingw-harfbuzz - MinGW Windows Harfbuzz library
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Cronenworth
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-26 09:04 EDT by Erik van Pienbroek
Modified: 2012-09-17 18:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-07 07:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mike: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-08-26 09:04:40 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-harfbuzz/mingw-harfbuzz.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-harfbuzz-0.9.3-1.fc18.src.rpm
Description: HarfBuzz is an implementation of the OpenType Layout engine.
Fedora Account System Username: epienbro
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4423459

This package is needed for pango 1.31.0 to build
Comment 1 Michael Cronenworth 2012-08-26 12:08:02 EDT
Taking for review.
Comment 2 Michael Cronenworth 2012-08-26 12:14:53 EDT
$ rpmlint mingw-harfbuzz.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ~/Downloads/mingw-harfbuzz-0.9.3-1.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpm -qp --requires ~/Downloads/mingw32-harfbuzz-0.9.3-1.fc19.noarch.rpm
mingw32-filesystem >= 83
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -qp --provides ~/Downloads/mingw32-harfbuzz-0.9.3-1.fc19.noarch.rpm
mingw32-harfbuzz = 0.9.3-1.fc19

$ md5sum ~/Downloads/harfbuzz-0.9.3.tar.bz2 
883a40644d3b120b7013e11876ea5af3  /home/michael/Downloads/harfbuzz-0.9.3.tar.bz2
$ md5sum ~/rpmbuild/SOURCES/harfbuzz-0.9.3.tar.bz2 
883a40644d3b120b7013e11876ea5af3  /home/michael/rpmbuild/SOURCES/harfbuzz-0.9.3.tar.bz2

+ OK
! Needs to be looked into
/ Not applicable
* Overridden by MinGW guidelines

[+] Files are installed in /usr/i686-w64-mingw32/sys-root/mingw
[+] BuildRequires: mingw32-filesystem >= xx is in the .spec file
[+] Requires are OK
[+] BuildArch: noarch
[+] No man pages or info files
[+] default strip and objdump commands are overridden with mingw32 specific ones

[+] rpmlint must be run on every package. The output should be posted in the review
[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption on Package Naming Guidelines
[+] MUST: The package must meet the Packaging Guidelines
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[/] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines; inclusion of those as BuildRequires is optional.
[/] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[/] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[/] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package.
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[/] MUST: Large documentation files should go in a -doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[*] MUST: Header files must be in a -devel package.
[+] MUST: Static libraries must be in a -static package.
[+] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[/] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[/] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
[*] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[/] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[/] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[/] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock. See MockTricks for details on how to do this.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[/] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[+] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[*] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
[/] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

Looks good to me.

Comment 3 Erik van Pienbroek 2012-08-26 12:18:49 EDT
Thank you very much for the quick review!

New Package SCM Request
Package Name: mingw-harfbuzz
Short Description: MinGW Windows Harfbuzz library
Owners: epienbro kalev
Branches: f17 f18
Comment 4 Gwyn Ciesla 2012-08-26 21:49:56 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-08-27 13:18:53 EDT
mingw-harfbuzz-0.9.3-1.fc17 has been submitted as an update for Fedora 17.
Comment 6 Fedora Update System 2012-08-27 18:11:33 EDT
mingw-glib2-2.33.10-2.fc18,mingw-gtk3-3.5.12-1.fc18,mingw-pango-1.31.0-1.fc18,mingw-atk-2.5.4-1.fc18,mingw-harfbuzz-0.9.3-1.fc18 has been submitted as an update for Fedora 18.
Comment 7 Fedora Update System 2012-08-28 14:16:25 EDT
Package mingw-glib2-2.33.10-2.fc18, mingw-gtk3-3.5.12-1.fc18, mingw-pango-1.31.0-1.fc18, mingw-atk-2.5.4-1.fc18, mingw-harfbuzz-0.9.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-glib2-2.33.10-2.fc18 mingw-gtk3-3.5.12-1.fc18 mingw-pango-1.31.0-1.fc18 mingw-atk-2.5.4-1.fc18 mingw-harfbuzz-0.9.3-1.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-07 07:23:17 EDT
mingw-harfbuzz-0.9.3-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-09-17 18:21:26 EDT
mingw-glib2-2.33.10-2.fc18, mingw-gtk3-3.5.12-1.fc18, mingw-pango-1.31.0-1.fc18, mingw-atk-2.5.4-1.fc18, mingw-harfbuzz-0.9.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.